---
names:
  full: AWS API Gateway API Execution Logging in CloudWatch is not enabled
  contextual: API Execution Logging in CloudWatch is not enabled
description: >
  Ensure that CloudWatch execution logging is enabled for APIs in API Gateway.
  Execution logging for API Gateway allows tracking of API requests and responses 
  in CloudWatch, providing insights into API usage and facilitating troubleshooting.
categories:
  - "PERFORMANCE"
  - "RELIABILITY"
type: "COMPLIANCE_POLICY"
frameworkMappings:
  - "/frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration"
  - "/frameworks/aws-fsbp-v1.0.0/api-gateway/01"
similarPolicies:
  internal:
    - "dec-x-2ac6c302"